Subject: bug#70794: 30.0.50; Add Rust compilation regex

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jun 2024 18:28:38 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Mon, 3 Jun 2024 16:54:02 +0200
> Cc: Eli Zaretskii <[email-masked]>,
>  [email-masked]
> 
> There is another problem with the added `cargo` regexp: its placement early in `compilation-error-regexp-alist-alist` causes it to match before other, possibly more frequently occurring patterns.
> (That is not your (or Eli's) fault but an undocumented subtlety of that variable; I'll add a remark to the code.)

The order of the patterns in the alist is a complete mystery to me.  I
tried to figure it out, but eventually gave up.  A remark won't cut
it, I think: we need a detailed description of the principles,
considerations, and the way of testing the results after adding a new
pattern.

> In fact the added pattern has visibly wrecked the display of etc/compilation.txt so I'm taking the slightly drastic step of reverting it.

That succeeded in my testing, so I wonder why it doesn't work for you.